Last Comment Bug 530406 - Search for "Age in days" uses "is" with "is less than" default, works fine when manually selected
: Search for "Age in days" uses "is" with "is less than" default, works fine wh...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
: 529553 (view as bug list)
Depends on:
Blocks: 187741 530403
  Show dependency treegraph
 
Reported: 2009-11-22 06:43 PST by rsx11m
Modified: 2010-12-07 20:37 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (664 bytes, patch)
2009-11-22 09:41 PST, neil@parkwaycc.co.uk
mnyromyr: review+
mnyromyr: approval‑seamonkey2.0.1+
Details | Diff | Splinter Review

Description rsx11m 2009-11-22 06:43:44 PST
I found this while testing for bug 530403 on the Thunderbird counterpart.

If you enter the search dialog and switch the search term to "Age in days", not touching the default "is less than", you get a different search result than if explicitly selecting that option from the menu.

Steps to reproduce:
1. Search in a local folder with some messages less than n days old;
2. select "Age in days", default goes to "is less than";
3. enter a number n and click Search;
4. only a few results - if any - are shown (still looking for "is" instead?);
5. select "is more than" and go back to "is less than";
6. Search now shows the correct list of results.

The default was changed from "is" by bug 187741.
Comment 1 rsx11m 2009-11-22 07:03:09 PST
Some more testing (current nightly build), indeed the "is" filter is used when the "is less than" default is left unchanged (both IMAP and Local Folders).
Comment 2 neil@parkwaycc.co.uk 2009-11-22 09:41:45 PST
Created attachment 413936 [details] [diff] [review]
Proposed patch

So much for my original "fix" :-(
Comment 3 neil@parkwaycc.co.uk 2009-11-28 14:13:10 PST
Pushed changeset 0ee062df1a25 to comm-central.

Pushed changeset 9bca5aa6d303 to releases/comm-1.9.1
Comment 4 Philip Chee 2010-12-07 20:37:08 PST
*** Bug 529553 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.